<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.gather.steady.datavie.mapper.SteadyDataViewMapper">

    <select id="selectSteadyDetail" resultType="java.util.LinkedHashMap">
        SELECT
        <foreach collection="columns" item="column" separator=",">
            `${column}`
        </foreach>
        FROM `${tableName}`
        WHERE LINEID = #{lineId}
          AND TIMEID = #{timeId}
          AND PHASIC_TYPE = #{phasicType}
        LIMIT 1
    </select>
</mapper>
